Get Connector Traces
GET /obp/v7.0.0/management/connector/traces
OBPv6.0.0-getConnectorTraces Roles: CanGetConnectorTrace MetricAPI
Get connector traces which capture the full outbound/inbound messages for each connector call.
Connector tracing must be enabled via the write_connector_trace=true property.
Filters Part 1.filtering parameters to GET /management/connector/traces
Should be able to filter on the following fields:
eg: /management/connector/traces?from_date=1100-01-01T01:01:01.000Z&to_date=1100-01-01T01:01:01.000Z&limit=50&offset=2
1 from_date (defaults to one week before current date): eg:from_date=1100-01-01T01:01:01.000Z
2 to_date (defaults to current date) eg:to_date=1100-01-01T01:01:01.000Z
3 limit (for pagination: defaults to 1000) eg:limit=2000
4 offset (for pagination: zero index, defaults to 0) eg: offset=10
5 connector_name (if null ignore)
6 function_name (if null ignore)
7 correlation_id (if null ignore)
8 bank_id (if null ignore)
9 user_id (if null ignore)
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
JSON response body fields (14)
- bank_id
- gh.29.uk
- connector_name
- connector_trace_id
- connector_trace_id
- connector_traces
- connector_traces
- correlation_id
- 1flssoftxq0cr1nssr68u0mioj
- date
- 2020-01-27
- duration
- 5.123
- function_name
- http_verb
- http_verb
- inbound_message
- inbound_message
- is_successful
- is_successful
- outbound_message
- outbound_message
- url
- http://www.example.com/id-docs/123/image.png
- user_id
- 9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1
Example success response
{
"connector_traces": [
{
"connector_trace_id": 1,
"correlation_id": "12345-abcde",
"connector_name": "mapped",
"function_name": "getBanks",
"bank_id": "gh.29.uk",
"outbound_message": "{\"bankId\":\"gh.29.uk\"}",
"inbound_message": "{\"status\":\"Success\",\"data\":[{\"bankId\":\"gh.29.uk\",\"shortName\":\"Test Bank\"}]}",
"date": "1100-01-01T00:00:00Z",
"duration": 150,
"is_successful": true,
"user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9f0",
"http_verb": "GET",
"url": "/obp/v6.0.0/banks"
}
]
}Possible errors (4)
- OBP-10005: Invalid Date Format. Could not convert value to a Date.
- OBP-50000: Unknown Error.
- OBP-20001: User not logged in. Authentication is required!
- OBP-20006: User is missing one or more roles: